import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRLaundryWasherModeClusterModeTagStruct extends _NSObject {
    static alloc(): _MTRLaundryWasherModeClusterModeTagStruct;
    static new(): _MTRLaundryWasherModeClusterModeTagStruct;
    init(): _MTRLaundryWasherModeClusterModeTagStruct;
    mfgCode(): _NSNumber | null;
    setMfgCode$(value: _NSNumber | null): void;
    value(): _NSNumber;
    setValue$(value: _NSNumber): void;
}
export interface _MTRLaundryWasherModeClusterModeTagStruct extends _NSCopying {
}
